Bug 748221 - ParaView built against OpenMPI (paraview-openmpi-3.8.1-1.el6.2.x86_64) does not work
Summary: ParaView built against OpenMPI (paraview-openmpi-3.8.1-1.el6.2.x86_64) does n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: paraview
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: http://paraview.org/Bug/view.php?id=1...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-23 08:58 UTC by Jonathon Anderson
Modified: 2011-11-19 19:57 UTC (History)
2 users (show)

Fixed In Version: paraview-3.8.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-19 19:57:57 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathon Anderson 2011-10-23 08:58:37 UTC
Description of problem:

The EPEL-provided version of ParaView built against OpenMPI doesn't appear to work as intended.  I can manually run `/usr/lib64/openmpi/lib/paraview/pvserver`, but any way that I try to run `/usr/lib64/openmpi/bin/pvserver_openmpi` leads to an error message referring to an invalid relative path.

    $ /usr/lib64/openmpi/bin/pvserver_openmpi 
    Error converting runtime path entry "/usr/lib64/openmpi/bin/../lib64/openmpi/lib/paraview" to real path: No such file or directory

If I create a a symlink at `/usr/lib64/openmpi/lib64` that points at `/usr/lib64`, it works.  (Though I hope it doesn't have to be said, this is a bad solution.)

Version-Release number of selected component (if applicable):

`paraview-openmpi-3.8.1-1.el6.2.x86_64`

How reproducible:

Always

Steps to Reproduce:
1. yum install openmpi paraview-openmpi
2. module load openmpi-x86_64
3. /usr/lib64/openmpi/bin/pvserver_openmpi
  
Actual results:

    Error converting runtime path entry "/usr/lib64/openmpi/bin/../lib64/openmpi/lib/paraview" to real path: No such file or directory

Expected results:

    Listen on port: 11111
    Waiting for client...

Additional info:

I know (at least, I expect) that this is meant to be run with mpiexec; the error occurs no matter how the binary is invoked.  If, however, I run `$(which mpiexec) /usr/lib64/openmpi/lib/paraview/pvserver`, the server starts as expected.

Comment 1 Orion Poplawski 2011-10-24 16:00:11 UTC
Yeah, that's pretty messed up.  Looking into it.

Comment 2 Fedora Update System 2011-10-31 21:23:57 UTC
paraview-3.8.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/paraview-3.8.1-2.el6

Comment 3 Orion Poplawski 2011-10-31 21:25:37 UTC
module load openmpi-x86_64
mpirin -np 4 paraview_openmpi

should do the trick.  Change 4 to however many processor you want to use.

Comment 4 Fedora Update System 2011-11-02 00:08:58 UTC
Package paraview-3.8.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing paraview-3.8.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4855
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-19 19:57:57 UTC
paraview-3.8.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.